[Japanese]

JVNDB-2011-000076

Nikki vulnerable to OS command injection

Overview

Nikki from HP no Mawashimono contains an OS command injection vulnerability.

Nikki from HP no Mawashimono is a CGI software for posting diary entries. Nikki contains an OS command injection vulnerability.

Masako Ohno reported this vulnerability to IPA.
JPCERT/CC coordinated with the developer under Information Security Early Warning Partnership.
CVSS Severity (What is CVSS?)

Base Metrics: 7.5 (High) [IPA Score]
  • Access Vector: Network
  • Access Complexity: Low
  • Authentication: None
  • Confidentiality Impact: Partial
  • Integrity Impact: Partial
  • Availability Impact: Partial

Affected Products


HP no Mawashimono
  • Nikki ver 6.6 and earlier

Impact

An arbitrary OS command may be executed with the privileges of the web server.
Solution

[Update the software]
Update to the latest version according to the information provided by the developer.
Vendor Information

HP no Mawashimono
  • HP no Mawashimono : Top Page (Japanese Only)
CWE (What is CWE?)

  1. OS Command Injection(CWE-78) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2011-4002
References

  1. JVN : JVN#48839888
  2. National Vulnerability Database (NVD) : CVE-2011-4002
Revision History

[2011/11/21]
  Web page published